const config = require('config')

const unsubscribeSlug = config.get('unsubscribe.url')
const resetPath = config.get('invite-reset-password.url')

const { Email, services } = require('pubsweet-component-helper-service')

const { sendNewUserEmail, sendSignupEmail } = require('./helpers')

module.exports = {
  async sendNotifications({ user, baseUrl, role, UserModel }) {
    const email = new Email({
      type: 'user',
      toUser: {
        email: user.email,
        name: `${user.firstName} ${user.lastName}`,
      },
      content: {
        ctaLink: services.createUrl(baseUrl, resetPath, {
          email: user.email,
          token: user.passwordResetToken,
          firstName: user.firstName,
          lastName: user.lastName,
          affiliation: user.affiliation,
          title: user.title,
        }),
        ctaText: 'CONFIRM ACCOUNT',
        signatureName: 'Hindawi',
        unsubscribeLink: services.createUrl(baseUrl, unsubscribeSlug, {
          id: user.id,
        }),
      },
    })

    if (role) {
      sendNewUserEmail({ email, role })
    } else {
      sendSignupEmail({ email, baseUrl, user })
    }
  },
}
